Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Red Hat Local Security Checks >> RHSA-2006-0427: irb


Vulnerability Assessment Details

RHSA-2006-0427: irb

Vulnerability Assessment Summary
Check for the version of the irb packages

Detailed Explanation for this Vulnerability Assessment


Updated ruby packages that fix a denial of service issue are now available.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

Ruby is an interpreted scripting language for object-oriented programming.

A bug was found in the way Ruby creates its xmlrpc and http servers. The
servers use a non blocking socket, which enables a remote user to cause a
denial of service condition if they are able to transmit a large volume of
information from the network server. (CVE-2006-1931)

Users of Ruby should update to these erratum packages, which contain a
backported patch and are not vulnerable to this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2006-0427.html
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Intel Core i5-4590 3.3GHz Quad-Core (BX80646I54590) Processor
$114.81
Intel Core i5-4590 3.3GHz Quad-Core (BX80646I54590) Processor pictureAMD Ryzen 7 1700X 3.8GHz Eight Core 8 CPU 16 Thread AM4 Processor - NEW
$19.99
AMD Ryzen 7 1700X 3.8GHz Eight Core 8 CPU 16 Thread AM4 Processor - NEW pictureIGT 3902 , mpu , cpu , Game King Game Board with SUPER CHERRY game Pre-owned
$109.0
IGT 3902 , mpu , cpu , Game King Game Board with SUPER CHERRY game Pre-owned  pictureHP Pavilion15.6"(Intel Core i7-4702MQ Processor, 16GB Ram)
$799.0
HP Pavilion15.6


Discussions

No Discussions have been posted on this vulnerability.